-- Required to load mod's options so that they are accessible below
heist_outfit_selector.Options:PostInit()

--[[
    Setting the style to 'none' is important when the character's default outfit is desired.
    Otherwise, in cases where the heist has a defined outfit (like Green Bridge), the heist
    outfit would override the selection.
]]
local function override_outfit_for_level(level_id)
    local outfit = heist_outfit_selector:get_outfit_for_level(level_id)
    if outfit == "character_default" then
        tweak_data.levels[level_id].player_style = "none"
    end
end

--[[
    As above, setting the gloves to 'default' is important when the character's default gloves
    are desired. Otherwise, the outfit's default gloves would override the selection.
]]
local function override_glove_for_outfit(outfit_id)
    local glove = heist_outfit_selector:get_glove_for_outfit(outfit_id)
    if glove == "character_default" then
        tweak_data.blackmarket.suit_default_gloves[outfit_id] = "default"
    end
end

for index, level_id in pairs(tweak_data.levels._level_index) do
    override_outfit_for_level(level_id)
end

for outfit_id, glove_id in pairs(tweak_data.blackmarket.suit_default_gloves) do
    override_glove_for_outfit(outfit_id)
end
-- The default outfit ("none") does not exist in suit_default_gloves by default, so we must invoke it manually
override_glove_for_outfit("none")
